
#ifndef VISWINDOW_H
#define VISWINDOW_H

#include <QMainWindow>
#include "ui_MainWindow.h"
#include "VisCanvas.h"

class VisWindow : public QMainWindow, private Ui_MainWindow {
Q_OBJECT

public:
  VisWindow();

public slots:
  void openSlot();
  void quitSlot();

protected:
  virtual void resizeEvent(QResizeEvent *ev);

private:
  VisCanvas *visCanvas;
}; // VisWindow

#endif

